Last Comment Bug 63741 - list-item marker of unordered lists overlap [LIST][MARGIN-C][INLINE-V]
: list-item marker of unordered lists overlap [LIST][MARGIN-C][INLINE-V]
Status: NEW
will be fixed by fixing the dependencies
: css1, testcase
Product: Core
Classification: Components
Component: Layout: Block and Inline (show other bugs)
: Trunk
: All All
: -- normal with 5 votes (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
: Jet Villegas (:jet)
Mentors:
: 274223 (view as bug list)
Depends on: 54979
Blocks:
  Show dependency treegraph
 
Reported: 2000-12-26 08:06 PST by Hixie (not reading bugmail)
Modified: 2009-08-23 20:08 PDT (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Relatively simple testcase (305 bytes, text/html)
2000-12-26 08:08 PST, Hixie (not reading bugmail)
no flags Details

Description Hixie (not reading bugmail) 2000-12-26 08:06:50 PST
STEPS TO REPRODUCE:
   <ul><li><li><li></ul>
   ...or, see attachement.

ACTUAL RESULTS
   list-item boxes that have outside bullets are being given the wrong height
   (about 1ex, it seems).

This should be fixed by fixing bug 54979. This bug is here just to make sure
that this issue isn't lost. It's broken off from bug 50480, which fixed this for
list-items with textual markers.
Comment 1 Hixie (not reading bugmail) 2000-12-26 08:08:58 PST
Created attachment 21303 [details]
Relatively simple testcase
Comment 2 David Baron :dbaron: ⌚️UTC-10 2000-12-26 09:27:38 PST
Is bug 50480 fixed at all?
Comment 3 Hixie (not reading bugmail) 2000-12-26 09:34:52 PST
Yes, see its testcases. But no, see bug 54979. Hope that makes sense... ;-)
Comment 4 Kevin McCluskey (gone) 2001-10-04 16:31:31 PDT
Build reassigning Buster's bugs to Marc.
Comment 5 Greg K. 2002-07-11 20:20:35 PDT
Reconfirmed using FizzillaCFM/2002070913. Setting All/All.
Comment 6 Boris Zbarsky [:bz] (still a bit busy) 2003-04-20 11:51:35 PDT
.
Comment 7 Adam D'Angelo 2004-01-01 16:44:02 PST
Also applies to ordered lists:
<ol><li><li><li></ol>
Comment 8 Yan Morin 2004-04-30 04:39:58 PDT
I think that is a serious bug for someone that use LI as line markers
( 
source code validator like :
http://yansanmo.no-ip.org:8080/ysm-validator/check.php?uri=http://www.altavista.com/#line22
)

4 years old layout bug, it's kinda long to fix this..

Can webmaster use &nbsp; to fix that?
Comment 9 Boris Zbarsky [:bz] (still a bit busy) 2005-01-16 12:23:18 PST
*** Bug 274223 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.